#!BuildIgnore:	post-build-checks
%define	pkgname	pxeboot
Summary:	OpenBSD pxe loader
Name:		openbsd-pxeboot
Version:	4.5
Release:	1.1
License:	BSD
Url:		http://www.thegibson.org/blog/archives/10
Group:		System
Source0:	%{pkgname}.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
OpenBSD provides a pxeboot bootloader, but it is hardcoded to
request bsd.rd from the tftp server (without manual intervention).
This makes it difficult to support multiple architectures,
parameters and OpenBSD versions simultaneously.
You could simply have users type in the path to the correct image manually,
but I wanted an automated process.
To work around this problem, I used modified pxeboot and
syslinux patches originally provided by ZettaServe.

%prep
%setup -c -n %{pkgname}

%build

%install
%__install -D -m644 %{pkgname}.8 %{buildroot}%{_mandir}/man8/%{pkgname}.8
%__install -D -m755 %{pkgname} %{buildroot}/tftpboot/pxeboot.0

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%dir /tftpboot
/tftpboot/pxeboot.0
%{_mandir}/man8/%{pkgname}.8*

%changelog
* Sun May 03 2009 Carsten Schoene <cs@linux-administrator.com> - 4.5-1
- initial package of prebuild/-patched OpenBSD pxeboot loader
  from OpenBSD 4.5 release
